Win a copy of Svelte and Sapper in Action this week in the JavaScript forum!
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
programming forums Java Mobile Certification Databases Caching Books Engineering Micro Controllers OS Languages Paradigms IDEs Build Tools Frameworks Application Servers Open Source This Site Careers Other all forums
this forum made possible by our volunteer staff, including ...
Marshals:
  • Campbell Ritchie
  • Ron McLeod
  • Paul Clapham
  • Bear Bibeault
  • Junilu Lacar
Sheriffs:
  • Jeanne Boyarsky
  • Tim Cooke
  • Henry Wong
Saloon Keepers:
  • Tim Moores
  • Stephan van Hulst
  • Tim Holloway
  • salvin francis
  • Frits Walraven
Bartenders:
  • Scott Selikoff
  • Piet Souris
  • Carey Brown

PHP installer for windows 64 bit

 
Ranch Hand
Posts: 57
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hello everyone,

I had looking on : webpage

on this site, there is php 5.5 VC11 that version for windows 64 bit, but still experimental

and I search for PHP version 5.3.0 for windows 64 bit.

Q : Is there earlier version of PHP installer that for windows 64?(I expect version 5.3.0, because my web hosting only support PHP with that version)

if available, please give me link to download it.

please help

thanks
 
Sheriff
Posts: 11604
178
Hibernate jQuery Eclipse IDE Spring MySQL Database AngularJS Tomcat Server Chrome Java
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator

http://windows.php.net/download/ wrote:The x64 builds of PHP for Windows should be considered experimental, and do not yet provide 64-bit integer or large file support.

 
gong tji
Ranch Hand
Posts: 57
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
thanks for answer before,

I think my question is wrong.

I think I need to mention my specification to install php :

- my OS is windows 8

- my apache server : apache_2.2.4-win32-x86-openssl-0.9.8d.msi.

- my php installer is : php-5.3.0-Win32-VC9-x86.msi

I had tried to install php using these application, but it didn't work

Q : Are both of my application won't run if I install on windows 8 ?

if can't please give me advice, what's apache server and php that I should download so that can be run on windows 8

note : I had try to install PHP on IIS 8 , but it's shown http error because FastCGImodule is not available on IIS8.

please help

thanks
 
Roel De Nijs
Sheriff
Posts: 11604
178
Hibernate jQuery Eclipse IDE Spring MySQL Database AngularJS Tomcat Server Chrome Java
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Have you already tried this step-by-step tutorial of Microsoft?

And is using xampp (lite) not an option? That's what I always use for my development environment.
 
gong tji
Ranch Hand
Posts: 57
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator

Have you already tried this step-by-step tutorial of Microsoft?



A : I already try it, but it's shown HTTP error that was I mentioned before, moreover the PHP is not my expectation (5.3.0).

And is using xampp (lite) not an option? That's what I always use for my development environment



Q : If I download and install this app, can I change the PHP version and phpmyadmin that had installed on xampp?

I ask PHP 5.3.0 and phpmyadmin (3.4.3.1) because my web hosting only support with these version.

please help

thanks
 
Roel De Nijs
Sheriff
Posts: 11604
178
Hibernate jQuery Eclipse IDE Spring MySQL Database AngularJS Tomcat Server Chrome Java
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator

gong pex wrote:If I download and install this app, can I change the PHP version and phpmyadmin that had installed on xampp?


Just download the version of xampp with the appropriate PHP version. I guess the correct version of PHP is much more important than the exact same version of phpmyadmin. Based on this blog article you should download XAMPP 1.7.2.
 
gong tji
Ranch Hand
Posts: 57
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
I think I need to try this,

I appreciate this.

Thank you for help
 
Roel De Nijs
Sheriff
Posts: 11604
178
Hibernate jQuery Eclipse IDE Spring MySQL Database AngularJS Tomcat Server Chrome Java
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Good luck!
 
a wee bit from the empire
the value of filler advertising in 2020
https://coderanch.com/t/730886/filler-advertising
    Bookmark Topic Watch Topic
  • New Topic